%{?nodejs_find_provides_and_requires}

%global packagename restore-cursor
%global enable_tests 1

Name:		nodejs-restore-cursor
Version:	1.0.1
Release:	1%{?dist}
Summary:	Gracefully restore the CLI cursor on exit

License:	MIT
URL:		https://github.com/sindresorhus/restore-cursor.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(exit-hook)

%description
Gracefully restore the CLI cursor on exit


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/echo -e "\e[102m -=#=- This package has no tests -=#=- \e[0m"
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}


%changelog
* Tue Feb 23 2016 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
